Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.particles
Class ConfigurableEmitter.Range

    java.lang.Object
      org.newdawn.slick.particles.ConfigurableEmitter.Range

Enclosing class:
  ConfigurableEmitter

    public class ConfigurableEmitter.Range

extends java.lang.Object

A simple bean describing a range of values

Author:
  kevin

Method Summary
`float` | `getMax()` Get the maximum value for this range
`float` | `getMin()` Get the minimum value for this range
`boolean` | `isEnabled()` Check if this configuration option is enabled
`float` | `random()` Generate a random number in the range
`void` | `setEnabled(boolean enabled)` Indicate if this option should be enabled
`void` | `setMax(float max)` Set the maxmium value for this range
`void` | `setMin(float min)` Set the minimum value for this range

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### random

    public float random()

  Generate a random number in the range

  Returns:
    The random number from the range

### isEnabled

    public boolean isEnabled()

  Check if this configuration option is enabled

  Returns:
    True if the range is enabled

### setEnabled

    public void setEnabled(boolean enabled)

  Indicate if this option should be enabled

  Parameters:
    `enabled` - True if this option should be enabled

### getMax

    public float getMax()

  Get the maximum value for this range

  Returns:
    The maximum value for this range

### setMax

    public void setMax(float max)

  Set the maxmium value for this range

  Parameters:
    `max` - The maximum value for this range

### getMin

    public float getMin()

  Get the minimum value for this range

  Returns:
    The minimum value for this range

### setMin

    public void setMin(float min)

  Set the minimum value for this range

  Parameters:
    `min` - The minimum value for this range

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.